GDBserver

Macros | Functions
wchar.h File Reference
`#include <features.h>`
`#include <stddef.h>`
`#include <stdio.h>`
`#include <time.h>`

Go to the source code of this file.

## Macros
#define | _GL_ALREADY_INCLUDING_WCHAR_H
#define | _GL_WCHAR_H
#define | _GL_ATTRIBUTE_PURE /* empty */
#define | WEOF ((wint_t) -1)
#define | mbrtowc rpl_mbrtowc

## Functions
| _GL_CXXALIAS_SYS (mbsinit, int,(const mbstate_t *ps))
| _GL_CXXALIASWARN (mbsinit)
| _GL_FUNCDECL_RPL (mbrtowc, size_t,(wchar_t *pwc, const char *s, size_t n, mbstate_t *ps))
| _GL_CXXALIAS_RPL (mbrtowc, size_t,(wchar_t *pwc, const char *s, size_t n, mbstate_t *ps))
| _GL_CXXALIASWARN (mbrtowc)
| _GL_CXXALIAS_SYS (mbsrtowcs, size_t,(wchar_t *dest, const char **srcp, size_t len, mbstate_t *ps))
| _GL_CXXALIASWARN (mbsrtowcs)

## Macro Definition Documentation

## ◆ _GL_ALREADY_INCLUDING_WCHAR_H

#define _GL_ALREADY_INCLUDING_WCHAR_H

Definition at line 62 of file wchar.h.

## ◆ _GL_ATTRIBUTE_PURE

#define _GL_ATTRIBUTE_PURE /* empty */

Definition at line 100 of file wchar.h.

## ◆ _GL_WCHAR_H

#define _GL_WCHAR_H

Definition at line 93 of file wchar.h.

## ◆ mbrtowc

#define mbrtowc rpl_mbrtowc

Definition at line 575 of file wchar.h.

## ◆ WEOF

#define WEOF ((wint_t) -1)

Definition at line 476 of file wchar.h.

## Function Documentation

## ◆ _GL_CXXALIAS_RPL()

_GL_CXXALIAS_RPL | ( | mbrtowc | ,
|  | size_t | ,
|  | (wchar_t *pwc, const char *s, size_t n, mbstate_t *ps) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [1/2]

_GL_CXXALIAS_SYS | ( | mbsinit | ,
|  | int | ,
|  | (const mbstate_t *ps) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [2/2]

_GL_CXXALIAS_SYS | ( | mbsrtowcs | ,
|  | size_t | ,
|  | (wchar_t *dest, const char **srcp, size_t len, mbstate_t *ps) |
| ) |  |

## ◆ _GL_CXXALIASWARN() [1/3]

_GL_CXXALIASWARN | ( | mbsinit |  | ) |

## ◆ _GL_CXXALIASWARN() [2/3]

_GL_CXXALIASWARN | ( | mbrtowc |  | ) |

## ◆ _GL_CXXALIASWARN() [3/3]

_GL_CXXALIASWARN | ( | mbsrtowcs |  | ) |

## ◆ _GL_FUNCDECL_RPL()

_GL_FUNCDECL_RPL | ( | mbrtowc | ,
|  | size_t | ,
|  | (wchar_t *pwc, const char *s, size_t n, mbstate_t *ps) |
| ) |  |